FSSYNC-DEBUG_VGCSCANALL(8)

NAME
fssync-debug_vgcscanall - Force a VG cache rescan on all partitions (FSYNC_VG_SCAN_ALL opcode)

SYNOPSIS
fssync-debug vgcscanall
    [B<-reason> <I<sync protocol reason code>>]
    [B<-programtype> <I<program type code>>]
    [-help]

fssync-debug vgcscana
    [B<-r> <I<sync protocol reason code>>]
    [B<-pr> <I<program type code>>]
    [-h]

DESCRIPTION
The fssync-debug vgcscanall command forces a rescan of the volume group cache (VGC) for all partitions attached by the fileserver.

OPTIONS

-reason <sync protocol reason code>
    Specifies numeric sync protocol reason code. Available codes are listed in OpenAFS source file src/vol/fssync_inline.h. For SYNC_REASON_NONE, use -reason 0.

-programtype <program type code>
    Specifies program type code. Permitted values are fileServer, volumeUtility, salvager, salvageServer, volumeServer and volumeSalvager.

PRIVILEGE REQUIRED
The issuer must have write access to the file server. Usually, this means that the issuer must be the local superuser "root" on the file server machine.

SEE ALSO
fssync-debug_vgcadd(8), fssync-debug_vgcdel(8), fssync-debug_vgcquery(8), fssync-debug_vgcscan(8),

COPYRIGHT
Copyright 2010 Sine Nomine Associates

This documentation is covered by the IBM Public License Version 1.0. This man page was written by Andrew Deason and Davor Ocelic for OpenAFS.